org.eclipse.ease.modules.unittest.components

## Class TestEntity

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestEntity

Direct Known Subclasses:
  Test, TestComposite

    public class TestEntity
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TestEntity(TestComposite parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTestListener(ITestListener listener)`
`long` `getExecutionTime()` Get total execution time in [ms]
`TestComposite` `getParent()`
`long` `getStartTime()`
`TestStatus` `getStatus()`
`void` `removeTestListener(ITestListener listener)`
`void` `reset()`
`void` `setStatus(TestStatus status)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestEntity

    public TestEntity(TestComposite parent)

### Method Detail

#### setStatus

    public void setStatus(TestStatus status)

#### getStatus

    public TestStatus getStatus()

#### reset

    public void reset()

#### addTestListener

    public void addTestListener(ITestListener listener)

#### removeTestListener

    public void removeTestListener(ITestListener listener)

#### getExecutionTime

    public long getExecutionTime()

Get total execution time in [ms]

Returns:
  total execution time in [ms]

#### getStartTime

    public long getStartTime()

#### getParent

    public TestComposite getParent()